<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * @package Video Podcasting
 */
?>

<h2 class="entry-title"><?php esc_html_e( 'Nothing Found', 'video-podcasting' ); ?></h2>

<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

	<p><?php printf( esc_html__( 'Ready to publish your first post? Get started here.', 'video-podcasting' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>
	<?php elseif ( is_search() ) : ?>
	<p><?php echo esc_html(get_theme_mod('video_podcasting_no_results_page_content',__('Sorry, but nothing matched your search terms. Please try again with some different keywords.','video-podcasting')));?></p><br />
		<?php get_search_form(); ?>
	<?php else : ?>
	<p><?php esc_html_e( 'Dont worry&hellip it happens to the best of us.', 'video-podcasting' ); ?></p><br />
	<div class="error-btn">
		<a class="view-more" href="<?php echo esc_url(home_url() ); ?>"><?php esc_html_e( 'Back to Home Page', 'video-podcasting' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Back to Home Page','video-podcasting' );?></span></a>
	</div>
<?php endif; ?>